import 'package:diplomaticquarterapp/core/viewModels/pharmacyModule/product_detail_view_model.dart';
import 'package:diplomaticquarterapp/pages/base/base_view.dart';
import 'package:diplomaticquarterapp/pages/pharmacies/screens/product-details/product-detail.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/others/network_base_view.dart';
import 'package:flutter/material.dart';

class AvailabilityInfo extends StatelessWidget {
  final ProductDetailViewModel previousModel;

  const AvailabilityInfo({Key key, this.previousModel}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return previousModel.productLocationService.length == 0
        ? Container(
      padding: EdgeInsets.all(15),
      alignment: Alignment.center,
      child: Text(
        TranslationBase.of(context).noLocationAvailable,
      ),
    )
        : ListView.builder(
      physics: ScrollPhysics(),
      scrollDirection: Axis.vertical,
      shrinkWrap: true,
      itemCount: previousModel.productLocationService.length,
      itemBuilder: (BuildContext context, int index) {
        return Padding(
          padding: EdgeInsets.all(8.0),
          child: Column(
            children: [
              Row(
                mainAxisAlignment: MainAxisAlignment.start,
                children: [
                  Expanded(
                    flex: 1,
                    child: Image.network(previousModel
                        .productLocationService[index].projectImageUrl),
                  ),
                  SizedBox(
                    width: 10,
                  ),
                  Expanded(
                    flex: 4,
                    child: Text(
                      previousModel.productLocationService[index]
                          .locationDescription +
                          "\n" +
                          convertCityName(
                            previousModel.productLocationService[0].cityName
                                .toString(),
                          ),
                      style: TextStyle(fontSize: 12),
                    ),
                  ),
                  Expanded(
                    flex: 1,
                    child: IconButton(
                      icon: Icon(Icons.location_on),
                      color: Colors.red,
                      onPressed: () {},
                    ),
                  ),
                  Expanded(
                    flex: 1,
                    child: IconButton(
                      icon: Icon(Icons.phone),
                      color: Colors.red,
                      onPressed: () {},
                    ),
                  ),
                ],
              ),
              Divider(height: 1.2, color: Colors.grey)
            ],
          ),
        );
      },
    );
  }

  convertCityName(txt) {
    String stringTxt;
    String newTxt;
    stringTxt = txt.toString();
    newTxt = stringTxt.split('.')[1];

    return newTxt;
  }
}
